.a-track-container {
  position: relative;
  box-sizing: border-box;
  width: 100%;
  margin: 1rem 0;
  color: $text-color;
  font-size: 12px;
  display: grid;
  grid-column-gap: .5rem;
  grid-template-columns: [init] 16px [first] 6fr [var1] minmax(100px,1fr) [last] ;
  

    @include fromMin($large) {
      font-size: .9rem;
      grid-template-columns: [init] 16px [first] 6fr [var1] 4fr [var2] 2fr [var3] minmax(100px,1fr) [last] ;
    }
}

.a-track__number {
  margin: auto;
}

.a-track__content {
  display: flex;
  justify-content: flex-start;
  height: auto;
  box-sizing: border-box;
}

.a-track__img{
  height: 40px;
  max-width: 40px;
  border-radius: $border-radius;
}

.a-track-content__info {
  min-height: 40px;
  margin-left: .5rem;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.a-track__name{
  margin: 0;
}

.a-track__singer{
  margin: 0;
  font-size: .7rem;
  font-weight: normal;

  @include fromMin($large) {
    font-size: .9rem;
  }
}

.a-track__album--hidden {
  font-weight: normal;
  font-size: .7rem;
  margin: auto 0;
  color: rgb(179, 179, 179);
  display: none;

  @include fromMin($large) {
    font-size: .9rem;
    display: inline-block;
  }
}

.a-track__time {
  display: flex;
}

.a-track__favorite{
  margin: auto;
  cursor: pointer;
}

.a-track__duration{
  margin: auto;
  font-size: .8rem;
}